# https://blog.monosoul.dev/2022/04/25/reduce-java-docker-image-size/
# Esta imagem deve ter o nome 'avaliar-java'

FROM amazoncorretto:21-alpine3.18

# Add app user
RUN adduser --no-create-home -u 1000 -D appuser

# Configure working directory
WORKDIR /code
RUN chown -R appuser /code

USER appuser

ENTRYPOINT [ "/bin/sh", "-c" ]

CMD [ "sleep 10m" ]
# com isso caso dê algum erro, na pior das hipóteses vai ficar rodando por 10 minutos