"use client";
import MySunEditor from "@/components/MySunEditor";

export default function EditorPage() {
    return (<MySunEditor 
        initialContentHTML={`        
        <h1>Validação de Datas</h1><p> Faça um programa que receba dos argumentos o valor numérico do dia, mês e ano de uma data, e informe na tela se o valor é uma data válida ou não de acordo com as regras abaixo.            </p><p>                Para uma data ser válida, ela deve seguir, no mínimo, as seguintes regras:</p><ol><li>    O valor do dia, mês e ano não podem ser 0 e não podem ser negativos.</li><li>O valor do mês não pode ser maior que 12.</li><li>O valor do dia não pode ser maior que 31.</li><li>Se o mês for 2 (Fevereiro), 4 (Abril), 6 (Junho), 9 (Setembro) ou 11 (Novembro), o valor do dia não pode ser maior que 30.</li><li>(opcional) - Se o ano for bissexto, é válido um mês de fevereiro com 29 dias, caso contrário, deve ter 28 dias. Para determinar se um ano é bissexto ou não, geralmente seguimos as regras abaixo:<ol><li>A cada 4 anos (é divisível por 4), é um ano bissexto.</li><li>Porém a cada 100 anos (divisível por 100), não é ano bissexto.</li><li>E a cada 400 anos (divisível por 400), é ano bissexto. (As últimas regras prevalecem sobre as primeiras)</li></ol></li></ol><p>                Ao executar o programa, ele deve escrever 'Data válida.' quando for válida a data, e no caso dela ser inválida, escreva 'Data inválida.</p><p>            </p><p> </p>
        `}

        name={"editor"}
        autoFocus={true}
    />);
}