import { Copy, MessageCircle, MessageSquare, Scissors, Trash2 } from "lucide-react";
import MainContainer from "@/components/MainContainer";
import { Col, Row, Txt } from "@/components/layout/RowCol";

export default function Teste() {
    return (<MainContainer fitScreen={true}>
    <Col className="w-full grow bg-gray-300 items-center gap-4">
        <Col className="gap-4 items-center justify-center max-w-xl">
            <Col className={"items-stretch p-1 gap-1 max-w-64"}>
                {["Copiar", "Deletar", "Recortar para a Área de transferência","teste ".repeat(32)].map((texto, i) => (
                    <Row key={i} className={"p-2 gap-2 items-center justify-between"}>
                        <Txt>{texto}</Txt>
                        {i === 0 && <Copy className="shrink-0"/>}
                        {i === 1 && <Trash2 className="shrink-0"/>}
                        {i === 2 && <Scissors className="shrink-0"/>}
                        {i === 3 && <MessageSquare className="shrink-0"/>}
                    </Row>
                ))}
            </Col>
            <Row className={"p-4"}>
                <Txt className="text-nowrap">{"teste ".repeat(64)}</Txt>
            </Row>
        </Col>
        <Row className="justify-center">
            <Txt className="bg-background p-8 text-xl">Experimentos com flex</Txt>
        </Row>
    </Col>
    </MainContainer>);
}