# Avaliador Backend

Como executar o backend:

1. Configurar o env
```bash
cp .env.example .env
```
(Altere o conteúdo do .env, por exemplo o SECRET e conexão com banco DB_URL)

## Executando via docker compose
```bash
docker compose up -d --build --force-recreate
docker exec -it avaliador-api sh -c "npm run seed"
```

## Executando localmente
(Depende de ter um banco MongoDB devidamente configurado na DB_URL)
```bash
npm run build:docker
npm run seed
npm start
```