import { initialConfig } from "../config/initialConfig.js";
import { ExecAvaliar } from "../services/ExecAvaliar.js";

await initialConfig();

if(!(await ExecAvaliar.verificarDockerDisponivel())) {
    console.log("Docker não disponível, abortando...");
    process.exit(1);
}

const execAvaliar = new ExecAvaliar();
await execAvaliar.criarImagens();
