// src/types/express/index.d.ts
// https://blog.logrocket.com/extend-express-request-object-typescript/
// to make the file a module and avoid the TypeScript error
export {};

export type TokenPayload = {
  username: string;
  email_confirmado: boolean;
  iss: string;
  iat: number;
  exp: number
}

export type APILocals = {
  tempoInicio?: number;
  token?: TokenPayload;
}

export type APILocalsToken = APILocals & {token: TokenPayload}

declare global {
  namespace Express {
    export interface Locals extends APILocals {
        
    }
  }
}