"use client";
import { submitLogout } from "@/actions/authAction";
import EstaLogadoClient from "@/components/EstaLogadoClient";
import RedirecionaParaPagina from "@/components/RedirecionarRef";
import { useSearchParams } from "next/navigation";
import { useEffect } from "react";

export default function Logout() {
  const params = useSearchParams();

  useEffect(() => {
    submitLogout(params.get("ref"));
  }, [params]);

  return <EstaLogadoClient
    se={
      <RedirecionaParaPagina paramsRef={true} />
    } senao={
      <p>Saindo...</p>
    }
  />;
}