import MainContainer from "@/components/MainContainer";
import Link from "next/link";

export default function Sobre() {
    return (<MainContainer>
        <p className="text-lg font-medium mb-4 mt-4">Olá, seja bem vindo à plataforma de Avaliação de Códigos</p>
        
        <p className="mb-2">
          A plataforma foi desenvolvida para ajudar você a praticar e aprimorar suas habilidades de programação 
          e facilitar o processo de avaliação de códigos em massa.
        </p>

        <p className="mb-4">
          Veja como é fácil começar:
        </p>
        <ol className="text-gray-700 mb-4">
          <li>1. Encontre um problema desafiados</li>
          <li>2. Escolha a linguagem de programação</li>
          <li>3. Desenvolva a solução</li>
          <li>4. Envie e verifique o resultado</li>
        </ol>
        
        <h2 className="text-lg mb-2">Professores</h2>
        <p className="mb-4">
          Se você é um professor, pode criar problemas e turmas para avaliar o desempenho de seus alunos.
          Basta criar uma conta e começar a usar.
        </p>

        <br/>

        Desenvolvido por <Link className="text-blue-600" href="https://github.com/erickweil/">Erick Leonardo Weil</Link>
    </MainContainer>);
}