// (Esse componente pode ser tanto lado servidor como cliente)
import "suneditor/dist/css/suneditor.min.css"; // Import Sun Editor's CSS File

// Para ficar bonito o HTML produzido, renderizando com @tailwind/typography
// https://stackoverflow.com/questions/73547756/how-to-display-innerhtml-in-nextjs-having-tailwind
// https://github.com/tailwindlabs/tailwindcss-typography
export default function SunEditorHTMLViewer({ contentHTML }: Readonly<{ contentHTML: string }>) {
    return (
        <div className="sun-editor-wrapper">
            <article 
                className="p-0! prose prose-slate max-w-none sun-editor-editable" 
                dangerouslySetInnerHTML={{ __html: contentHTML}}
                >
            </article>
        </div>
    );
}